//VR4P_Server.h
//
#pragma once

#ifdef	ENGINE_MODULE
#define ENGINE_API			_declspec(dllexport)
#else
#define ENGINE_API			_declspec(dllimport)
#endif
#include <stdint.h>	


	
typedef  long(*VR4PFunc_PlayNetLimit)(const char * pFileName, const char * pIP, unsigned short usPort, const char * pClientUserName);
typedef  long(*VR4PFunc_PreSendData)(const char *  pFileName, const char * pIP, unsigned short usPort, const char * pClientUserName, uint32_t iNeedSendSize);
typedef  bool(*VR4PFunc_LogOut)(const char * pLogInfo);

ENGINE_API bool	InitVRVServer(const char * pDefaultFolder, const char * pIPV4_V6_Domain, uint32_t uPort, VR4PFunc_PlayNetLimit  pNetLimit = 0, VR4PFunc_PreSendData  pPreSendData = 0, VR4PFunc_LogOut  pLog = 0);

ENGINE_API void	UnInitVRVServer();

ENGINE_API bool	RegLicense(const char * pstrLicenseID, const char * pstrKey);

ENGINE_API bool	HaveLicense();

